> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DELETE/Projection

> This API can delete a field-item-excluding policy projection.

<Note>
  If the submission applies the projection and shows again excluded information, employ DELETE/Projection with the projectionId.
</Note>

## 1. Endpoint

```text DELETE/projection theme={null}
DELETE https://rest-api.argosidentity.com/v3/projection/{projectionId}
```

## 2. Authentication

Include the API key in the `x-api-key` header:

```text x-api-key theme={null}
x-api-key: {yourAPIKey}
```

## 3. Request Body

The request body must be in JSON format. Below are the field descriptions:

<ResponseField name="projectionId" type="string" required>
  The unique ID of a projection
</ResponseField>

## 4. Request Example

<Warning>
  There is no requirement for a parameter name; projectionId only requires a value.

  * [https://rest-api.argosidentity.com/v3/projection/55sqp8ma0jvwh](https://rest-api.argosidentity.com/v3/projection/55sqp8ma0jvwh) (O)
  * [https://rest-api.argosidentity.com/v3/projection/projectionId=55sqp8ma0jvwh](https://rest-api.argosidentity.com/v3/projection/projectionId=55sqp8ma0jvwh) (X)
</Warning>

```curl DELETE/Projection theme={null}
curl --location --request DELETE 'https://rest-api.argosidentity.com/v3/projection/{projectrionId}' \
--header 'x-api-key: {yourAPIKey}'
```

## 5. Response

### 5-1. Success Response

<CodeGroup>
  ```json result-delete-projection.json theme={null}
  {
      "message": "Delete projection success"
  }
  ```
</CodeGroup>

### 5-2. Error Codes

| Status Code | Error Message                                         | Description                                              |
| ----------- | ----------------------------------------------------- | -------------------------------------------------------- |
| 404         | Projection not found                                  | Delete projection id not found.                          |
| 405         | Method not allowed for /projections/projectionId path | HTTP requests (PUT, DELETE, etc.) are not GET or POST.   |
| 500         | Internal server error                                 | When the server encounters an unexpected exception error |
